Pular para o conteúdo principal
GET
/
approvals
/
{name}
Get Approval
curl --request GET \
  --url http://{host}:{port}/{basePath}/approvals/{name} \
  --header 'Authorization: <api-key>'
{
  "apiVersion": "v1",
  "kind": "ApprovalRequest",
  "metadata": {
    "name": "approval-inc-20260319-001-1",
    "namespace": "production",
    "createdAt": "2026-03-19T15:00:00Z"
  },
  "spec": {
    "issueRef": "INC-20260319-001",
    "remediationPlanRef": "remediation-inc-20260319-001-1",
    "action": "RollbackDeployment",
    "targetResource": {
      "kind": "Deployment",
      "name": "payment-service",
      "namespace": "production"
    },
    "confidence": 0.82,
    "severity": "high",
    "mode": "manual",
    "blastRadius": {
      "riskLevel": "medium",
      "affectedPods": 3,
      "affectedServices": ["payment-svc"],
      "warnings": ["PDB allows minimum 1 pod disruption"]
    }
  },
  "status": {
    "state": "Pending",
    "createdAt": "2026-03-19T15:00:00Z",
    "expiresAt": "2026-03-19T16:00:00Z"
  }
}
name
string
obrigatório
Nome único da solicitacao de aprovação
namespace
string
padrão:"default"
Namespace do Kubernetes
{
  "apiVersion": "v1",
  "kind": "ApprovalRequest",
  "metadata": {
    "name": "approval-inc-20260319-001-1",
    "namespace": "production",
    "createdAt": "2026-03-19T15:00:00Z"
  },
  "spec": {
    "issueRef": "INC-20260319-001",
    "remediationPlanRef": "remediation-inc-20260319-001-1",
    "action": "RollbackDeployment",
    "targetResource": {
      "kind": "Deployment",
      "name": "payment-service",
      "namespace": "production"
    },
    "confidence": 0.82,
    "severity": "high",
    "mode": "manual",
    "blastRadius": {
      "riskLevel": "medium",
      "affectedPods": 3,
      "affectedServices": ["payment-svc"],
      "warnings": ["PDB allows minimum 1 pod disruption"]
    }
  },
  "status": {
    "state": "Pending",
    "createdAt": "2026-03-19T15:00:00Z",
    "expiresAt": "2026-03-19T16:00:00Z"
  }
}

Autorizações

Authorization
string
header
obrigatório

Bearer token issued by the operator. Format: Authorization: Bearer <token>.

Parâmetros de caminho

name
string
obrigatório

Unique approval request name.

Exemplo:

"approval-inc-20260319-001-1"

Parâmetros de consulta

namespace
string
padrão:default

Kubernetes namespace.

Resposta

Approval details

apiVersion
string
Exemplo:

"v1"

kind
string
Exemplo:

"Approval"

metadata
object
spec
object
status
object